<?xml version="1.0" encoding="utf-8"?>
<!--
  ~ Copyright (c) 2017  STMicroelectronics – All rights reserved
  ~ The STMicroelectronics corporate logo is a trademark of STMicroelectronics
  ~
  ~ Redistribution and use in source and binary forms, with or without modification,
  ~ are permitted provided that the following conditions are met:
  ~
  ~ - Redistributions of source code must retain the above copyright notice, this list of conditions
  ~   and the following disclaimer.
  ~
  ~ - Redistributions in binary form must reproduce the above copyright notice, this list of
  ~   conditions and the following disclaimer in the documentation and/or other materials provided
  ~   with the distribution.
  ~
  ~ - Neither the name nor trademarks of STMicroelectronics International N.V. nor any other
  ~   STMicroelectronics company nor the names of its contributors may be used to endorse or
  ~   promote products derived from this software without specific prior written permission.
  ~
  ~ - All of the icons, pictures, logos and other images that are provided with the source code
  ~   in a directory whose title begins with st_images may only be used for internal purposes and
  ~   shall not be redistributed to any third party or modified in any way.
  ~
  ~ - Any redistributions in binary form shall not include the capability to display any of the
  ~   icons, pictures, logos and other images that are provided with the source code in a directory
  ~   whose title begins with st_images.
  ~
  ~ THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND ANY EXPRESS OR
  ~ IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY
  ~ AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT HOLDER
  ~ OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
  ~ CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
  ~ SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
  ~ THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
  ~ OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY
  ~ OF SUCH DAMAGE.
-->
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.st.bluems.debug"
    android:versionCode="12"
    android:versionName="3.5.1-dev10281037" >

    <uses-sdk
        android:minSdkVersion="19"
        android:targetSdkVersion="25" />

    <uses-permission android:name="android.permission.BLUETOOTH" />
    <uses-permission android:name="android.permission.BLUETOOTH_ADMIN" />

    <!-- needed for the BlueVoice demos -->
    <uses-permission android:name="android.permission.INTERNET" />
    <uses-permission android:name="android.permission.ACCESS_NETWORK_STATE" />
    <!-- add for paho -->
    <uses-permission android:name="android.permission.WAKE_LOCK" />

    <!-- Memes Sensor Fusion vibrate when a free fall is detected -->
    <uses-permission android:name="android.permission.VIBRATE" />

    <uses-feature
        android:glEsVersion="0x00020000"
        android:required="true" />

    <!-- needed for the BlueVoice demos -->
    <uses-feature
        android:name="android.hardware.audio.low_latency"
        android:required="false" />

    <!-- needed for read the fw file -->
    <uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" /> <!-- install only in device with ble -->
    <uses-feature
        android:name="android.hardware.bluetooth_le"
        android:required="true" /> <!-- need for search for new devices for api >23 ! -->
    <uses-permission-sdk-23 android:name="android.permission.ACCESS_COARSE_LOCATION" /> <!-- store log files -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE" />

    <meta-data
        android:name="android.support.VERSION"
        android:value="25.3.1" />

    <application
        android:allowBackup="true"
        android:icon="@mipmap/ic_launcher"
        android:label="@string/app_name"
        android:logo="@drawable/app_logo"
        android:supportsRtl="true"
        android:theme="@style/AppTheme" >
        <activity
            android:name="com.st.BlueMS.MainActivity"
            android:configChanges="keyboardHidden|screenSize"
            android:label="@string/app_name"
            android:launchMode="singleTop"
            android:theme="@style/FullscreenTheme" >
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />

                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity
            android:name="com.st.BlueMS.NodeListActivity"
            android:label="@string/title_activity_node_list"
            android:parentActivityName="com.st.BlueMS.MainActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueMS.MainActivity" />
        </activity>
        <activity
            android:name="com.st.BlueMS.DemosActivity"
            android:label="@string/title_activity_demos"
            android:launchMode="singleTop"
            android:parentActivityName="com.st.BlueMS.NodeListActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueMS.NodeListActivity" />
        </activity>
        <activity
            android:name="com.st.BlueMS.DemosActivityWesu"
            android:label="@string/title_activity_demos"
            android:launchMode="singleTop"
            android:parentActivityName="com.st.BlueMS.NodeListActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueMS.NodeListActivity" />
        </activity>
        <activity
            android:name="com.st.BlueSTSDK.gui.DebugConsoleActivity"
            android:label="@string/title_activity_debug_console"
            android:parentActivityName="com.st.BlueMS.DemosActivity"
            android:screenOrientation="portrait" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueMS.DemosActivity" />
        </activity>
        <activity
            android:name="com.st.BlueSTSDK.gui.AboutActivity"
            android:label="@string/title_activity_about"
            android:launchMode="singleTop"
            android:parentActivityName="com.st.BlueMS.MainActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueMS.MainActivity" />
        </activity>
        <activity
            android:name="com.st.BlueMS.demos.wesu.preferences.SettingsWithWesuRegisters"
            android:label="@string/settings"
            android:parentActivityName="com.st.BlueMS.DemosActivityWesu" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueMS.DemosActivityWesu" />
        </activity>
        <activity
            android:name="com.st.BlueMS.NfcNodeConnection"
            android:label="@string/title_activity_nfc_node_connection"
            android:launchMode="singleInstance"
            android:parentActivityName="com.st.BlueMS.MainActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueMS.MainActivity" />

            <intent-filter>
                <action android:name="android.nfc.action.NDEF_DISCOVERED" />

                <category android:name="android.intent.category.DEFAULT" />

                <data android:mimeType="application/com.st.w2stapp" />
            </intent-filter>
        </activity>

        <!-- Start: integrate the BlueSTSDK.gui activity in the app, setting the parent activity -->
        <activity
            android:name="com.st.BlueSTSDK.gui.fwUpgrade.FwUpgradeActivity"
            android:label="@string/title_activity_fw_upgrade" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueMS.DemosActivity" />
        </activity>

        <!-- End: integrate the BlueSTSDK.gui activity in the app, setting the parent activity -->

        <receiver android:name="com.st.BlueMS.NfcNodeConnection$InsertPairPin" >
            <intent-filter>
                <action android:name="android.bluetooth.device.action.PAIRING_REQUEST" />
                <action android:name="android.bluetooth.device.action.BOND_STATE_CHANGED" />
            </intent-filter>
        </receiver>

        <service
            android:name="org.eclipse.paho.android.service.MqttService"
            android:enabled="true" />

        <activity
            android:name="com.st.BlueSTSDK.gui.SettingsActivityWithNode"
            android:label="@string/title_activity_settings"
            android:theme="@style/AppTheme.Settings" >
        </activity>

        <service
            android:name="com.st.BlueSTSDK.gui.fwUpgrade.FwUpgradeService"
            android:exported="false" />
        <service
            android:name="com.st.BlueSTSDK.gui.NodeConnectionService"
            android:enabled="true"
            android:exported="false" />

        <activity
            android:name="com.st.BlueSTSDK.gui.privacyPolicy.PrivacyPolicyActivity"
            android:label="@string/title_activity_privacy_policy"
            android:parentActivityName="com.st.BlueSTSDK.gui.AboutActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueSTSDK.gui.AboutActivity" />
        </activity>
        <activity
            android:name="com.st.BlueSTSDK.gui.thirdPartyLibLicense.LibLicenseActivity"
            android:label="License"
            android:launchMode="singleTop"
            android:parentActivityName="com.st.BlueSTSDK.gui.AboutActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueSTSDK.gui.AboutActivity" />
        </activity>
        <activity
            android:name="com.st.BlueSTSDK.gui.thirdPartyLibLicense.LibLicenseDetailsActivity"
            android:label="Details"
            android:parentActivityName="com.st.BlueSTSDK.gui.thirdPartyLibLicense.LibLicenseActivity" >
            <meta-data
                android:name="android.support.PARENT_ACTIVITY"
                android:value="com.st.BlueSTSDK.gui.thirdPartyLibLicense.LibLicenseActivity" />
        </activity>
        <activity
            android:name="com.google.android.gms.common.api.GoogleApiActivity"
            android:exported="false"
            android:theme="@android:style/Theme.Translucent.NoTitleBar" />

        <meta-data
            android:name="com.google.android.gms.version"
            android:value="@integer/google_play_services_version" />
    </application>

</manifest>